SonarQube upgrade from 6.7.2 -> 6.7.7 fails due to obsolete edition

Hello

Trying to start Sonarqube 6.7.7 after upgrading from 6.7.2 fails.

The web.log file contains this error:
2019.06.24 15:52:38 ERROR web[o.s.s.p.Platform] Web server startup failed: Your commercial edition is obsolete. You must upgrade the edition bundle to its latest version.

What bundle do I need to upgrade?

I copied over the same plugins from the 6.7.2 installation per the documentation.

Please advise what I am doing wrong.

Thanks
Jason

1 Like

Hi Jason,

You can’t always simply copy over all your plugins. You need to get a fresh commercial edition bundle from here for this upgrade: https://docs.sonarqube.org/display/SONARQUBE67/SonarSource+Editions

 
Ann

P.S. Note that the next LTS is expected early next week.

1 Like

Thanks Ann, that fixed the problem.

1 Like